require('config.lazy')

o = vim.opt

o.number = true
o.relativenumber = true
o.hlsearch = false
o.syntax = 'on'

o.tabstop = 4
o.softtabstop = 4
o.shiftwidth = 4
o.expandtab = true
o.smartindent = true

o.foldmethod = 'indent'
o.foldlevel = 100

o.background = dark
vim.cmd('colorscheme gruvbox')

vim.keymap.set('n', '<space>', 'za', {desc = 'Toggle fold'})
